#Navigation Status
navigationStatus = ["Under way using engine", "At anchor", "Not under command", "Restricted manoeuverability", "Constrained by her draught", "Moored", "Aground", "Engaged in Fishing", "Under way sailing", "Reserved for future amendment of Navigational Status for HSC", "Reserved for future amendment of Navigational Status for WIG", "Reserved for future use", "Reserved for future use", "Reserved for future use", "AIS-SART is active", "Not defined (default)"]

#Maneuver Indicator
maneuverIndicator = ["Not available (default)", "No special maneuver", "Special maneuver (such as regional passing arrangement)", "Other"]

#Type of EPFD, Position Fix Type
ePFDFixTypes = ["Undefined (default)", "GPS", "GLONASS", "Combined GPS/GLONASS", "Loran-C", "Chayka", "Integrated navigation system", "Surveyed", "Galileo" , "Other", "Other", "Other", "Other", "Other", "Other", "Other"]

#Ship Type
codesForShipType = [
    "Not available (default)",
    "Reserved for future use", "Reserved for future use", "Reserved for future use", "Reserved for future use", "Reserved for future use",
    "Reserved for future use", "Reserved for future use", "Reserved for future use", "Reserved for future use", "Reserved for future use",
    "Reserved for future use", "Reserved for future use", "Reserved for future use", "Reserved for future use", "Reserved for future use",
    "Reserved for future use", "Reserved for future use", "Reserved for future use", "Reserved for future use", "Wing in ground (WIG), all ships of this type",
    "Wing in ground (WIG), Hazardous category A", "Wing in ground (WIG), Hazardous category B", "Wing in ground (WIG), Hazardous category C",
    "Wing in ground (WIG), Hazardous category D", "Wing in ground (WIG), Reserved for future use", "Wing in ground (WIG), Reserved for future use",
    "Wing in ground (WIG), Reserved for future use", "Wing in ground (WIG), Reserved for future use", "Wing in ground (WIG), Reserved for future use",
    "Fishing", "Towing", "Towing: length exceeds 200m or breadth exceeds 25m", "Dredging or underwater ops", "Diving ops", "Military ops", "Sailing",
    "Pleasure Craft", "Reserved", "Reserved", "High speed craft (HSC), all ships of this type", "High speed craft (HSC), Hazardous category A",
    "High speed craft (HSC), Hazardous category B", "High speed craft (HSC), Hazardous category C", "High speed craft (HSC), Hazardous category D",
    "High speed craft (HSC), Reserved for future use", "High speed craft (HSC), Reserved for future use", "High speed craft (HSC), Reserved for future use",
    "High speed craft (HSC), Reserved for future use", "High speed craft (HSC), No additional information", "Pilot Vessel", "Search and Rescue vessel", "Tug",
    "Port Tender", "Anti-pollution equipment", "Law Enforcement", "Spare - Local Vessel", "Spare - Local Vessel", "Medical Transport",
    "Noncombatant ship according to RR Resolution No. 18", "Passenger, all ships of this type", "Passenger, Hazardous category A",
    "Passenger, Hazardous category B", "Passenger, Hazardous category C", "Passenger, Hazardous category D", "Passenger, Reserved for future use",
    "Passenger, Reserved for future use", "Passenger, Reserved for future use", "Passenger, Reserved for future use", "Passenger, No additional information",
    "Cargo, all ships of this type", "Cargo, Hazardous category A", "Cargo, Hazardous category B", "Cargo, Hazardous category C", "Cargo, Hazardous category D",
    "Cargo, Reserved for future use", "Cargo, Reserved for future use", "Cargo, Reserved for future use", "Cargo, Reserved for future use",
    "Cargo, No additional information", "Tanker, all ships of this type", "Tanker, Hazardous category A", "Tanker, Hazardous category B",
    "Tanker, Hazardous category C", "Tanker, Hazardous category D", "Tanker, Reserved for future use", "Tanker, Reserved for future use",
    "Tanker, Reserved for future use", "Tanker, Reserved for future use", "Tanker, No additional information", "Other Type, all ships of this type",
    "Other Type, Hazardous category A", "Other Type, Hazardous category B", "Other Type, Hazardous category C", "Other Type, Hazardous category D",
    "Other Type, Reserved for future use", "Other Type, Reserved for future use", "Other Type, Reserved for future use", "Other Type, Reserved for future use",
    "Other Type, no additional information"]

#Unity of Quantity
cargoUnitCodes = ["Not available (default)", "kg", "metric tons", "metric kilotons"]

#Mooring Position
mooringPosition = ["Not available (default)", "Port-side to", "Starboard-side to", "Mediterranean (end-on) mooring", "Mooring buoy", "Anchorage",
            "Reserved for future use", "Reserved for future use"]

#Service status, odwołanie do : Agent, Bunker/fuel, Chandler, Stevedore, Electrical, Potable water, Customs house, Cartage, Crane(s), Lift(s),
#Medical facilities, Navigation repair, Provisions, Ship repair, Surveyor, Steam, Tugs, Waste disposal (solid, liquid, hazardous), Reserved ballast exchange,
#Additional services, Regional reserved 1 i 2, Reserved for future
serviceStatus=["Not available or requested (default)", "Service available", "No data or unknown", "Not to be used"]

#Notice description
areaNoticeDescription = [
    "Caution Area: Marine mammals habitat", "Caution Area: Marine mammals in area - reduce speed",
    "Caution Area: Marine mammals in area - stay clear", "Caution Area: Marine mammals in area - report sightings",
    "Caution Area: Protected habitat - reduce speed", "Caution Area: Protected habitat - stay clear",
    "Caution Area: Protected habitat - no fishing or anchoring","Caution Area: Derelicts (drifting objects)",
    "Caution Area: Traffic congestion", "Caution Area: Marine event", "Caution Area: Divers down", "Caution Area: Swim area",
    "Caution Area: Dredge operations", "Caution Area: Survey operations", "Caution Area: Underwater operation",
    "Caution Area: Seaplane operations" ,"Caution Area: Fishery – nets in water" ,"Caution Area: Cluster of fishing vessels",
    "Caution Area: Fairway closed" ,"Caution Area: Harbor closed" ,"Caution Area: Risk (define in associated text field)",
    "Caution Area: Underwater vehicle operation" ,"(reserved for future use)" ,"Environmental Caution Area: Storm front (line squall)",
    "Environmental Caution Area: Hazardous sea ice" ,"Environmental Caution Area: Storm warning (storm cell or line of storms)",
    "Environmental Caution Area: High wind" ,"Environmental Caution Area: High waves" ,"Environmental Caution Area: Restricted visibility (fog, rain, etc.)",
    "Environmental Caution Area: Strong currents" ,"Environmental Caution Area: Heavy icing" ,"(reserved for future use)" ,"Restricted Area: Fishing prohibited" ,
    "Restricted Area: No anchoring." ,"Restricted Area: Entry approval required prior to transit" ,"Restricted Area: Entry prohibited" ,
    "Restricted Area: Active military OPAREA" ,"Restricted Area: Firing – danger area." ,"Restricted Area: Drifting Mines" ,"(reserved for future use)",
    "Anchorage Area: Anchorage open" ,"Anchorage Area: Anchorage closed" ,"Anchorage Area: Anchorage prohibited" ,"Anchorage Area: Deep draft anchorage",
    "Anchorage Area: Shallow draft anchorage" ,"Anchorage Area: Vessel transfer operations" ,"(reserved for future use)" ,"(reserved for future use)",
    "(reserved for future use)" ,"(reserved for future use)" ,"(reserved for future use)" ,"(reserved for future use)" ,"(reserved for future use)",
    "(reserved for future use)" ,"(reserved for future use)" ,"(reserved for future use)" ,"Security Alert - Level 1" ,"Security Alert - Level 2",
    "Security Alert - Level 3" ,"(reserved for future use)" ,"(reserved for future use)" ,"(reserved for future use)" ,"(reserved for future use)",
    "(reserved for future use)" ,"Distress Area: Vessel disabled and adrift" ,"Distress Area: Vessel sinking" ,"Distress Area: Vessel abandoning ship",
    "Distress Area: Vessel requests medical assistance" ,"Distress Area: Vessel flooding" ,"Distress Area: Vessel fire/explosion",
    "Distress Area: Vessel grounding" ,"Distress Area: Vessel collision" ,"Distress Area: Vessel listing/capsizing" ,"Distress Area: Vessel under assault",
    "Distress Area: Person overboard" ,"Distress Area: SAR area" ,"Distress Area: Pollution response area" ,"(reserved for future use)",
    "(reserved for future use)" ,"(reserved for future use)" ,"Instruction: Contact VTS at this point/juncture" ,"Instruction: Contact Port Administration at this point/juncture",
    "Instruction: Do not proceed beyond this point/juncture" ,"Instruction: Await instructions prior to proceeding beyond this point/juncture",
    "Proceed to this location – await instructions" ,"Clearance granted – proceed to berth" ,"(reserved for future use)" ,"(reserved for future use)",
    "Information: Pilot boarding position" ,"Information: Icebreaker waiting area" ,"Information: Places of refuge" ,"Information: Position of icebreakers",
    "Information: Location of response units" ,"VTS active target" ,"Rogue or suspicious vessel" ,"Vessel requesting non-distress assistance",
    "Chart Feature: Sunken vessel" ,"Chart Feature: Submerged object" ,"Chart Feature: Semi-submerged object" ,"Chart Feature: Shoal area",
    "Chart Feature: Shoal area due north" ,"Chart Feature: Shoal area due east" ,"Chart Feature: Shoal area due south" ,"Chart Feature: Shoal area due west",
    "Chart Feature: Channel obstruction" ,"Chart Feature: Reduced vertical clearance" ,"Chart Feature: Bridge closed" ,"Chart Feature: Bridge partially open",
    "Chart Feature: Bridge fully open" ,"(reserved for future use)" ,"(reserved for future use)" ,"(reserved for future use)" ,"Report from ship: Icing info",
    "(reserved for future use)" ,"Report from ship: Miscellaneous information – define in associated text field" ,"(reserved for future use)",
    "(reserved for future use)" ,"(reserved for future use)" ,"(reserved for future use)" ,"(reserved for future use)" ,"Route: Recommended route",
    "Route: Alternative route" ,"Route: Recommended route through ice" ,"(reserved for future use)" ,"(reserved for future use)" ,"Other – Define in associated text field",
    "Cancellation – cancel area as identified by Message Linkage ID" ,"Undefined (default)"
    ]

#Subarea types, Shape of area
shape = ["Circle or point", "Rectangle", "Sector", "Polyline", "Polygon", "Associated text", "Reserved"]

#Cargo code
cargoCodes = [
    "Not available (default)", "IMDG Code (in packed form)", "IGC code", "BC Code (from 1.1.2011 IMSBC)",
    "MARPOL Annex I List of oils (Appendix 1)", "MARPOL Annex II IBC Code", "Regional use", "Reserved for future use",
    "Reserved for future use", "Reserved for future use", "Reserved for future use", "Reserved for future use",
    "Reserved for future use", "Reserved for future use", "Reserved for future use", "Reserved for future use"
    ]

#IMO289
#Route Type - tabela 26
routeTypeCodes = [
    "Undefined (default)", "Mandatory", "Recommended", "Alternative", "Recommended route through ice", "Ship route plan",
    "Reserved for future usage", "Reserved for future usage", "Reserved for future usage", "Reserved for future usage",
    "Reserved for future usage", "Reserved for future usage", "Reserved for future usage", "Reserved for future usage",
    "Reserved for future usage", "Reserved for future usage", "Reserved for future usage", "Reserved for future usage",
    "Reserved for future usage", "Reserved for future usage", "Reserved for future usage", "Reserved for future usage",
    "Reserved for future usage", "Reserved for future usage", "Reserved for future usage", "Reserved for future usage",
    "Reserved for future usage", "Reserved for future usage", "Reserved for future usage", "Reserved for future usage",
    "Reserved for future usage", "Cancel route identified by message linkage"
    ]

#Status (Lock/Bidge/Terminal Status)
statusCodes = ["Operational", "Limited operation", "Out of order", "N/A"]

#Sea state
beaufortScale = ["Calm (Flat.)", "Light air (Ripples without crests.)",
                 "Light breeze (Small wavelets. Crests of glassy appearance, not breaking.)",
                 "Gentle breeze (Large wavelets. Crests begin to break; scattered whitecaps.)",
                 "Moderate breeze (Small waves.)", "Fresh breeze (Moderate (1.2 m) longer waves. Some foam and spray.)",
                 "Strong breeze (Large waves with foam crests and some spray.)",
                 "High wind (Sea heaps up and foam begins to streak.)",
                 "Gale (Moderately high waves with breaking crests forming spindrift. Streaks of foam.)",
                 "Strong gale (High waves (6-7 m) with dense foam. Wave crests start to roll over. Considerable spray.)",
                 "Storm (Very high waves. The sea surface is white and there is considerable tumbling. Visibility is reduced.)",
                 "Violent storm (Exceptionally high waves.)",
                 "Hurricane force (Huge waves. Air filled with foam and spray. Sea completely white with driving spray. Visibility greatly reduced.)"
                 ]

#Precipitation
precipitationType = [
    "Reserved", "Rain", "Thunderstorm","Freezing rain", "Mixed/ice", "Snow",
    "Reserved","N/A (default)"
    ]

#Signal in Service, Expected next Signal
marineTrafficSignals = [
    "N/A (default)", "IALA port traffic signal 1: Serious emergency – all vessels to stop or divert according to instructions.",
    "IALA port traffic signal 2: Vessels shall not proceed.", "IALA port traffic signal 3: Vessels may proceed. One way traffic.",
    "IALA port traffic signal 4: Vessels may proceed. Two way traffic.", "IALA port traffic signal 5: A vessel may proceed only when it has received specific orders to do so.",
    "IALA port traffic signal 2a: Vessels shall not proceed, except that vessels which navigate outside the main channel need not comply with the main message.",
    "IALA port traffic signal 5a: A vessel may proceed only when it has received specific orders to do so; except that vessels which navigate outside the main channel need not comply with the main message.",
    "Japan Traffic Signal - I = 'in-bound' only acceptable.", "Japan Traffic Signal - O = 'out-bound' only acceptable.",
    "Japan Traffic Signal - F = both 'in- and out-bound' acceptable.", "Japan Traffic Signal - XI = Code will shift to 'I' in due time.",
    "Japan Traffic Signal - XO = Code will shift to 'O' in due time.", "Japan Traffic Signal - X = Vessels shall not proceed, except a vessel which receives the direction from the competent authority.",
    "Reserved", "Reserved", "Reserved", "Reserved", "Reserved", "Reserved", "Reserved", "Reserved", "Reserved", "Reserved", "Reserved",
    "Reserved", "Reserved", "Reserved", "Reserved", "Reserved", "Reserved", "Reserved", "Reserved", "Reserved", "Reserved",
    ]

#AIS Class A, Automatic Tracking Aid, BNWAS, ECDIS Back-up, Paper Nautical Chart, Echo sounder,
#Electronic plotting aid, Emergency steering gear, GNSS, Gyro compass, LRIT, Magnetic compass,
#NAVTEX, Radar (ARPA), Radar (S-band), Radar (X-band), Radio HF, Radio INMARSAT, Radio MF,
#Radio VHF, Speed Log over ground, Speed Log through water, THD, Track control system, VDR/S-VDR
sOLASStatus = [
    "Not available or requested (default)", "Equipment operational", "Equipment not operational",
    "No data (equipment may or may not be on board/or its status is unknown)"
    ]

#Ice Class
iceClass = [
    "Not classified", "IACS PC 1", "IACS PC 2","IACS PC 3", "IACS PC 4", "IACS PC 5", "IACS PC 6 / FSICR IA Super / RS Arc5",
    "IACS PC 7 / FSICR IA / RS Arc4", "FSICR IB / RS Ice3", "FSICR IC / RS Ice2", "RS Ice1", "Reserved for future use",
    "Not available = default"
    ]

#Sensor owner
sensorOwnerCodes = [
    "Unknown (default)", "Hydrographic office", "Inland waterway authority", "Coastal directorate", "Meteorological service",
    "Port Authority", "Coast guard", "(reserved for future use)", "(reserved for future use)", "(reserved for future use)",
    "(reserved for future use)", "(reserved for future use)", "(reserved for future use)", "(reserved for future use)", "(reserved for regional use)"
    ]

#Data timeout
dataTimeoutCodes = [
    "No time period (default)", "10 minutes", "1 hour", "6 hours", "12 hours", "24 hours", "(reserved for future use)",
    "(reserved for future use)"
    ]

#Sensor Description, Depth Sensor Description, Wave Sensor Description, Temp. Sensor Type, Dewpoint Sensor Type
#Pressure Sensor Type
sensorTypes = [
    "No data (default)", "Raw real time", "Real time with quality control", "Predicted (based on historical statistics)",
    "Forecast (predicted, refined with real-time information)", "Nowcast (a continuous forecast)", "(reserved for future use)",
    "Sensor not available"
]

#słownik do ERI Classification (Ship/combination type)
eRIClassification = {
    8000: 'Vessel, type unknown',
    8010: 'Motor freighter',
    8020: 'Motor tanker',
    8021: 'Motor tanker, liquid cargo, type N',
    8022: 'Motor tanker, liquid cargo, type C',
    8023: 'Motor tanker, dry cargo as if liquid (e.g. cement)',
    8030: 'Container vessel',
    8040: 'Gas tanker',
    8050: 'Motor freighter, tug',
    8060: 'Motor tanker, tug',
    8070: 'Motor freighter with one or more ships alongside',
    8080: 'Motor freighter with tanker',
    8090: 'Motor freighter pushing one or more freighters',
    8100: 'Motor freighter pushing at least one tank-ship',
    8110: 'Tug, freighter',
    8120: 'Tug, tanker',
    8130: 'Tug freighter, coupled',
    8140: 'Tug, freighter/tanker, coupled',
    8150: 'Freightbarge',
    8160: 'Tankbarge',
    8161: 'Tankbarge, liquid cargo, type N',
    8162: 'Tankbarge, liquid cargo, type C',
    8163: 'Tankbarge, dry cargo as if liquid (e.g. cement)',
    8170: 'Freightbarge with containers',
    8180: 'Tankbarge, gas',
    8210: 'Pushtow, one cargo barge',
    8220: 'Pushtow, two cargo barges',
    8230: 'Pushtow, three cargo barges',
    8240: 'Pushtow, four cargo barges',
    8250: 'Pushtow, five cargo barges',
    8260: 'Pushtow, six cargo barges',
    8270: 'Pushtow, seven cargo barges',
    8280: 'Pushtow, eight cargo barges',
    8290: 'Pushtow, nine or more barges',
    8310: 'Pushtow, one tank/gas barge',
    8320: 'Pushtow, two barges at least one tanker or gas barge',
    8330: 'Pushtow, three barges at least one tanker or gas barge',
    8340: 'Pushtow, four barges at least one tanker or gas barge',
    8350: 'Pushtow, five barges at least one tanker or gas barge',
    8360: 'Pushtow, six barges at least one tanker or gas barge',
    8370: 'Pushtow, seven barges at least one tanker or gas barge',
    0:    'not available'
    }


#Hazardous cargo
hazardCode = [
    "0 blue cones/lights", "1 blue cone/light", "2 blue cones/lights", "3 blue cones/lights",
    "4 B-Flag", "Unknown (default)"
    ]

#Loaded/Unloaded
loadStatus = ["N/A (default)", "Unloaded", "Loaded"]


#Type
eMMATypeCodes = [
    "Not Available", "Wind", "Rain", "Snow and ice", " Thunderstorm", "Fog", "Low temperature",
    "High temperature", "Flood", "Forest Fire"
    ]

#Wind direction
eMMAWinds = ["North", "North East", "East", "South East", "South", "South West", "West", "North West"]

#Direction impact
signalImpact = ["Not Available", "Upstream", "Downstream", "To left bank", "To right bank"]

#Light Status
signalStatus = ["Unknown (default)", "No light", "White", "Yellow", "Green", "Red","White flashing", "Yellow flashing"]

#Aid type
navaidTypes = [
    "Default, Type of Aid to Navigation not specified", "Reference point", "RACON (radar transponder marking a navigation hazard)",
    "Fixed structure off shore, such as oil platforms, wind farms, rigs. (Note: This code should identify an obstruction that is fitted with an Aid-to-Navigation AIS station.)",
    "Spare, Reserved for future use.", "Light, without sectors", "Light, with sectors", "Leading Light Front", "Leading Light Rear", "Beacon, Cardinal N",
    "Beacon, Cardinal E", "Beacon, Cardinal S", "Beacon, Cardinal W", "Beacon, Port hand", "Beacon, Starboard hand", "Beacon, Preferred Channel port hand",
    "Beacon, Preferred Channel starboard hand", "Beacon, Isolated danger", "Beacon, Safe water", "Beacon, Special mark", "Cardinal Mark N", "Cardinal Mark E",
    "Cardinal Mark S", "Cardinal Mark W", "Port hand Mark", "Starboard hand Mark", "Preferred Channel Port hand", "Preferred Channel Starboard hand",
    "Isolated danger", "Safe Water", "Special Mark", "Light Vessel / LANBY / Rigs"
    ]

#Station type
stationTypes = [
    "All types of mobiles (default)", "Reserved for future use", "All types of Class B mobile stations", "SAR airborne mobile station", "Aid to Navigation station",
    "Class B shipborne mobile station (IEC62287 only)", "Regional use and inland waterways", "Regional use and inland waterways", "Regional use and inland waterways",
    "Regional use and inland waterways", "Reserved for future use", "Reserved for future use", "Reserved for future use", "Reserved for future use",
    "Reserved for future use", "Reserved for future use"
    ]

#Report interval
stationIntervals = [
    "As given by the autonomous mode", "10 Minutes", "6 Minutes", "3 Minutes", "1 Minute", "30 Seconds", "15 Seconds", "10 Seconds", "5 Seconds",
    "Next Shorter Reporting Interval", "Next Longer Reporting Interval", "Reserved for future use", "Reserved for future use", "Reserved for future use",
    "Reserved for future use", "Reserved for future use"
    ]

verticalReferenceDatum = [
    "Mean Lower Low Water (MLLW)", "International Great Lakes Datum (IGLD-85)", "Local river datum", "Station Datum (STND)",
    "Mean Higher High Water (MHHW)", "Mean High Water (MHW)", "Mean Sea Level (MSL)", "Mean Low Water (MLW)", "National Geodetic Vertical Datum (NGVD-29)",
    "North American Vertical Datum (NAVD-88)", "World Geodetic System (WGS-84)", "Lowest Astronomical Tide (LAT)", "pool", "gauge", "Unknown/not available (default)",
    "Reserved for future use", "Reserved for future use", "Reserved for future use", "Reserved for future use", "Reserved for future use", 
    "Reserved for future use", "Reserved for future use", "Reserved for future use", "Reserved for future use", "Reserved for future use", 
    "Reserved for future use", "Reserved for future use", "Reserved for future use", "Reserved for future use", "Reserved for future use", 
    "Reserved for future use"
]






