import Reader.read_file as reader
import Decoder.decode_messages as decoder
import Printer.printer as printer
import time

def main():
    start_time = time.time()
    printer.delete_ais_files()
    file = open("AIS_messages.txt", "r")
    while True:
        message = reader.read_message(file)
        if message == "eof":
            break
        if message == "message data error":
            continue
        else:
            # if message["type"] == "21":        
            #     print("Linia: {}".format(reader.line_counter))
            #     print("wiadomość: {}".format(message))
            #     print("długość: {}".format(len(message["message"])))
            message_decoded = decoder.decode_message(message)
            if message_decoded == "message data error":
                continue
            else:
                printer.printMessage(message_decoded)

    printer.printStats(reader.get_stats(), start_time)

if __name__ == "__main__":
    main()